<?php

// MinimalWeblog 1.0.2
// Copyright 2006 Jan Pieter Kunst <jpkunst at xs4all dot nl>
// 
// Based on Personal Weblog 1.0.0
// http://www.kyne.com.au/~mark/software/weblog.php
// Copyright 2001,2002  Mark Pulford <mark@kyne.com.au>
//
// This program is free software; you can redistribute it and/or modify 
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or 
// (at your option) any later version. 
//  
// This program is distributed in the hope that it will be useful, 
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
// GNU General Public License for more details. 
//  
// You should have received a copy of the GNU General Public License 
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

/**
 * Constant definitions for MinimalWeblog
 *
 * @package MinimalWeblog
 */

/**
 * Only necessary to enter this information under PHP >= 5.1.0RC1
 */
define('MINIMALWEBLOG_TIMEZONE', 'Europe/Amsterdam');
/**
 * Enter the external hostname of your server here.
 * Presumably only needed if the server is behind a router and reached from the outside via NAT.
 * Not used if empty. If non-empty, used to create the external URL for the RSS feed by bypassing
 * $_SERVER['SERVER_NAME'].
 */
define('MINIMALWEBLOG_EXTERNAL_HOSTNAME','');
/**
 * Error reporting level
 *
 * 0: sparse error messages, only triggered errors
 *
 * 1: more verbose error messages, also system warnings and notices
 *
 * 2: also backtraces printed
 */
define('MINIMALWEBLOG_DEBUG', 0);
/**
 * Name of the database for the weblog
 */
define('MINIMALWEBLOG_DB','minimalweblog');
/**
 * Host where the weblog database resides
 */
define('MINIMALWEBLOG_HOST','localhost');
/**
 * Username for the weblog database
 */
define('MINIMALWEBLOG_USER','webloguser');
/**
 * Password for the weblog database (not to be confused with the end-user password to edit the weblog)
 */
define('MINIMALWEBLOG_PASS','');
/**
 * Optional prefix for minimalweblog database tables (useful if a separate database is not possible)
 */
define('MINIMALWEBLOG_TABLE_PREFIX','minimalweblog_');
/**
 * For extra safety, define an array of hostnames or IP-addresses from which editing is allowed
 *
 * Default setting: editing only allowed from localhost; should be changed if the MinimalWeblog software
 * is installed on a remote server, which is likely to be the case.
 * Comment out the definition to allow editing from all hosts.
 * Thanks to sean at syoft dot com, user comment 31-Jul-2006 08:21, at www.php.net/define
 * for his tip on how to use constants to hold arrays.
 */
define('MINIMALWEBLOG_HOSTS_EDITING_ALLOWED', serialize(array('127.0.0.1')));

?>