<?php	

/**
 * @package MinimalWeblog
 * @version 1.0.2
 */
 
$errors = array();
 
if (version_compare(PHP_VERSION, '5.0.0', '<')) {
	$errors[] = 'Sorry, you need at least PHP 5 to run this program, and you are using version ' . PHP_VERSION;
}


if (! extension_loaded('mysqli')) {
	$errors[] = 'Sorry, you need the "mysqli" extension to run this program';
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<title>MinimalWeblog 1.0</title>
<meta name="generator" content="BBEdit 8.6">
<style type="text/css">
	.warning { color: red; }
</style> 
</head>
<body>
<h1>MinimalWeblog 1.0</h1>

<?php

if (! empty($errors)) {
	echo '<p class="warning">' . join('<br>', $errors) . '</p>';
	echo '<p>Your PHP installation does not seem to be compatible with this program.</p>';
} else {
	echo '<p>Your PHP installation (version ' . PHP_VERSION  . ', mysqli extension available) should be able to run this program.</p>';	
}

?>
<p>Assuming your PHP environment is reported as compatible, this program can be installed as follows:</p>
<ol> 
  <li>Either create the database for this program (the default database name is 'minimalweblog'), or define the MINIMALWEBLOG_DB constant in config.inc.php to hold the name of the database you want to use;</li>
  <li> Create the necessary tables in the chosen database by running the SQL statements in the minimalweblog.sql file; </li>
  <li> Create a database user with the minimum access rights needed to use this database; </li>
  <li> Edit the MINIMALWEBLOG_TIMEZONE, MINIMALWEBLOG_HOST, MINIMALWEBLOG_USER and MINIMALWEBLOG_PASS constants in the config.inc.php file as needed; </li>
  <li> Open the <a href="example.php">example.php</a> file in your web browser to check that everything works; </li>
  <li> <strong>Change the default password</strong> (it's "password") <strong>for editing the weblog to something else</strong>, either by using the '<a href="example.php?wl_password=password&amp;wl_mode=edit+setup">edit setup</a>' link which appears after <a href="example.php?wl_mode=login">logging in</a>, or by directly entering the MD5 hash of the password you want in the database. </li>
  <li> By default, editing the weblog is only allowed from localhost.This should be changed if the MinimalWeblog software is installed on a remote server, which is likely to be the case. Edit (recommended) or comment out (if necessary) the MINIMALWEBLOG_HOSTS_EDITING_ALLOWED constant definition in config.inc.php. </li>
  <li> Recommended: move everything except files that will be requested directly by a web browser outside the web server's document root. Edit require() commands and/or your include_path as needed. </li>
</ol>
</body>
</html>
