-- MySQL dump 10.10
--
-- Host: localhost    Database: minimalweblog
-- ------------------------------------------------------
-- Server version	5.0.27-standard

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `minimalweblog_entries`
--

CREATE TABLE `minimalweblog_entries` (
  `eid` int(11) NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `tid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `body` text NOT NULL,
  `more` text NOT NULL,
  PRIMARY KEY  (`eid`),
  KEY `updated_idx` (`updated`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `minimalweblog_entries`
--

LOCK TABLES `minimalweblog_entries` WRITE;
/*!40000 ALTER TABLE `minimalweblog_entries` DISABLE KEYS */;
INSERT INTO `minimalweblog_entries` VALUES (1,'This is an example entry',2,1007506800,1165681487,'<p>MinimalWeblog is a stripped-down, PHP 5 and <tt>mysqli</tt> only fork of <a href=\"http://www.kyne.com.au/~mark/software/weblog.php\">Personal Weblog</a> by Mark Pulford.</p>\r\n<p>I created this fork because I used Personal Weblog myself, but found that it sometimes behaved problematically under PHP 5. I started to update the code for PHP 5, and got carried away in the process: I decided to strip out stuff I never used and rewrote the code to fit my personal taste. Details can be found under the \'more ...\' link below.</p>\r\n<p>This project is strictly scratch-my-own-itch-ware, and not meant to be useful to anyone but myself. It is released under the <a href=\"http://www.gnu.org/licenses/gpl.txt\">GPL</a>.</p>\r\n<p>The part of the page with the dotted red border around it is generated by MinimalWeblog. You can login with the link on the right to edit this entry. The default password is <tt>password</tt>. You should change this, either by using the \'edit setup\' link which appears after logging in, or by directly entering the MD5 hash of the password you want in the database.</p>','<p>Differences from Personal Weblog 1.0.0</p>\r\n<p>\r\nRemovals\r\n</p>\r\n\r\n<ul>\r\n	<li>removed postgresql support. (db is still abstracted away, so adding support for other RDBMs should be straightforward)</li>\r\n	<li>handed cookies and timeout stuff over to PHP session defaults</li>\r\n	<li>removed login_expire variable</li>\r\n	<li>removed login_cookie variable</li>\r\n	<li>removed login_timeout variable</li>\r\n	<li>removed last_modified variable</li>\r\n	<li>removed subst_local() and entry_save_local()</li>\r\n	<li>removed restricted topics support</li>\r\n</ul>\r\n\r\n<p>Additions</p>\r\n<ul>\r\n<li>Added option to limit editing of the weblog to certain hosts</li>\r\n</ul>\r\n\r\n<p>\r\nChanges\r\n</p>\r\n\r\n<ul>\r\n	<li>PHP 5 only (mysqli extension needed)</li>\r\n	<li>MySQL 4.1 only (prepared statements used instead of addslashes())</li>\r\n	<li>All methods (except rss_print()) now return a value instead of echo\'ing</li>\r\n	<li>print_error() method renamed to handle_error() and via set_error_handler() used as official error handler</li>\r\n	<li>weblog-specific error messages triggered with trigger_error()</li>\r\n	<li>PHPDoc style comments</li>\r\n	<li>preg instead of ereg functions</li>\r\n	<li>longer, more descriptive variable names</li>\r\n</ul>\r\n');
/*!40000 ALTER TABLE `minimalweblog_entries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `minimalweblog_topics`
--

CREATE TABLE `minimalweblog_topics` (
  `tid` int(11) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `icon` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`tid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `minimalweblog_topics`
--

LOCK TABLES `minimalweblog_topics` WRITE;
/*!40000 ALTER TABLE `minimalweblog_topics` DISABLE KEYS */;
INSERT INTO `minimalweblog_topics` VALUES (1,'topic 1','gfx/system.png'),(2,'topic 2','gfx/attention.png');
/*!40000 ALTER TABLE `minimalweblog_topics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `minimalweblog_vars`
--

CREATE TABLE `minimalweblog_vars` (
  `name` varchar(32) NOT NULL default '',
  `value` text NOT NULL,
  `help` text NOT NULL,
  `editable` enum('no','single','multiple') NOT NULL default 'no',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `minimalweblog_vars`
--

LOCK TABLES `minimalweblog_vars` WRITE;
/*!40000 ALTER TABLE `minimalweblog_vars` DISABLE KEYS */;
INSERT INTO `minimalweblog_vars` VALUES ('header','','Outputed at the beginning of the weblog','multiple'),('article','<h2>@TITLE@</h2>\r\n<p>@ICON@@CREATED@ @UPDATED@</p>\r\n@BODY@\r\n@MORELINK@\r\n@ADMIN@','<p>This code is displayed for each entry on the main page.\r\nThe entry is subsituted into \"article\" via tokens:<p>\r\n<table border=\"1\">\r\n	<tr>\r\n		<td>@ID@</td> <td>Entry ID number. 1 is the first entry created</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@TOPICID@</td> <td>Topic ID number, useful for creating links to topics</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@TITLE@</td> <td>Title field from entry</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@CREATED@</td> <td>Entry add time in human form</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@UPDATED@</td> <td>Updated text (see \"update_text\" variable) only used when the entry has been updated since creation and the \"update time\" checkbox was set.</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@ICON@</td> <td>Insert a topic icon and link</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@TOPIC@</td> <td>Insert the topic name</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@BODY@</td> <td>Insert the entry body</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@MORE@</td> <td>Insert the entry \"more\" field (intented for the \"more\" variable).</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@MORELINK@</td><td>This is subsituted with the \"morelink\" variable if there is a body, otherwise it is left blank.</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@SELF@</td> <td>This token represents the url to your weblog</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@BACKLINK@</td><td>Substitute the contents of the \"backlink\" variable. Used to display a link back to the main page while maintaining current search.</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@ADMIN@</td> <td>THIS TOKEN IS REQUIRED. When logged in it is replaces by an entry admin menu, otherwise it is left blank.</td>\r\n	</tr>\r\n</table>\r\n<p>Most tokens are optional, only include what you want on your page.</p>','multiple'),('more','<h2>@TITLE@</h2>\r\n<p>@ICON@@CREATED@ @UPDATED@</p>\r\n@BODY@\r\n@MORE@\r\n@BACKLINK@\r\n@ADMIN@','Used for displaying the \"more\" page. It supports the same\r\nvariables as \"article\".','multiple'),('morelink','<p><a href=\"@URL@\">more...</a></p>','This variable is subsituted into @MORELINK@ token when there is a body\r\navailable. \"morelink\" must use the @URL@ token to subsitute the correct\r\naddress into the link. Example: &lt;a href=\"@URL@\"&gt;more...&lt;/a&gt;.','single'),('separator','','This code is outputed between every entry and the control box on the main\npage','multiple'),('footer','','The last code outputed by the weblog','multiple'),('max_articles','5','The number of entries to display on a single page. Set to 0 to display all articles.','single'),('password','5f4dcc3b5aa765d61d8327deb882cf99','','single'),('next_html','previous &gt;&gt;','This HTML will be used for any next page links','single'),('prev_html','&lt;&lt; next','This HTML will be used for any previous page links','single'),('blank_html','','This variable will be inserted wherever next or prev icons/text is not\nneeded. It is useful when you are using tables and need to ensure the control\nbar is centered properly. Otherwise you can leave this variable blank.','single'),('update_text','| changed @DATE@','Use the token @DATE@ to represent the updated date. This text will be\nsubsitituted into the @UPDATED@ token in \"article\" and \"more\" variables -\nprovided the entry has had its timestamp updated since creation.','multiple'),('created_date','Y-d-m','Date format used by @CREATED@. See\r\n<a href=\"http://www.php.net/manual/en/function.date.php\">http://www.php.net/manual/en/function.date.php</a>\r\nfor more information.','single'),('updated_date','Y-m-d','Date format used by @UPDATED@. Same format as used by \"created_date\".','single'),('topic_icon_attrs','width=\"32\" height=\"32\" class=\"topic\"','<tt>IMG</tt> tag attributes for the topic icons. Use <tt>border=\"0\"</tt> to\nprevent the browser from boxing the images. The <tt>src</tt> and <tt>alt</tt>\nattributes are set automatically, don\'t configure them.','single'),('backlink','<p><a href=\"@URL@\">back</a></p>','This variable is used to display a link back to the main page while\r\nmaintaining the current search parameters. Use the token @URL@ in this\r\nvariable to represent the main page url. This variable is outputed at the\r\nbottom of most admin pages and can be subsituted into the variable \"more\"\r\nwith the @BACKLINK@ token.','multiple'),('control','<p>@PREV_HTML@&nbsp;@NEXT_HTML@</p>\r\n<form action=\"@SELF@\" method=\"post\">\r\n<p id=\"form_content\">topic: @TOPIC_BOX@&nbsp;<input type=\"text\" name=\"wl_search\" value=\"@KEYWORDS@\" />&nbsp;<input type=\"submit\" name=\"wl_mode\" value=\"@SEARCH_TEXT@\" />&nbsp;<input type=\"submit\" name=\"wl_mode\" value=\"@RESET_TEXT@\" /></p></form>@ADMIN@','<p>This code is used to format the control bar at the bottom of the page.\r\nThe following tokens will be substited into this variable to create\r\nthe control bar:</p>\r\n\r\n<table border=\"1\">\r\n	<tr>\r\n		<td>@PREV_HTML@</td> <td rowspan=\"2\">These tokens represent the text/images used by the forward/back links. Refer to the relevent configuration variables.</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@NEXT_HTML@</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@SELF@</td> <td>This token represents the url to your weblog</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@KEYWORDS@</td> <td>searched text (if any)</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@SEARCH_TEXT@</td> <td>Represents \"search_text\" configuration variable</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@RESET_TEXT@</td> <td>Represents \"reset_text\" configuration variable</td>\r\n	</tr>\r\n	<tr>\r\n		<td>@ADMIN@</td> <td>This will contain the admin bar when logged in, otherwise it is blank.</td>\r\n	</tr>\r\n</table>\r\n','multiple'),('reset_text','show all','Name of the button used to reset the weblog search to show everything,\r\nloading the default main page.','single'),('search_text','search','Name of the button used to search the weblog','single'),('no_result_string','No results','Text which is shown if a search returns no results','single'),('rss_title','MinimalWeblog RSS Feed','This variable should be the title of your weblog used by RSS for syndication. Leave blank to disable RSS support.','single'),('rss_description','','This variable contains the description of your weblog used by RSS.','multiple'),('paragraph_split','','If this variable is non-blank the Weblog will split entries into separate HTML\nparagraphs after a double-enter.','single'),('archive','@ICON@ <a href=\"@SELF@?wl_mode=more&wl_eid=@ID@\">@TITLE@</a></b> (@CREATED@)<br />\r\n','This format is used to create the archive page listing all entries in\nthe weblog. It should be small and simple. No separator is used between\nentries on this page. The tokens from \"article\" can be used.','multiple');
/*!40000 ALTER TABLE `minimalweblog_vars` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-01-28 16:15:46
